- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptimizationResult Class Reference

The OptimizationResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OptimizationResult:

[legend]
List of all members.

## Public Member Functions
| OptimizationResult ()
| Default constructor.
| ~OptimizationResult ()
| Class destructor.
bool | IsEqual (OptimizationResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OptimizationResult ()
| Default constructor.
| ~OptimizationResult ()
| Class destructor.
## Public Attributes
int | numberOfSolutions
| numberOfSolubitons is the number of objective functions reported.
int | numberOfVariables
| numberOfVariables is the number of variables reported in the solution.
int | numberOfObjectives
| numberOfObjectives is the number of objective functions reported in the solution.
int | numberOfConstraints
| numberOfConstrants is the number of constraint functions reported in the solution.
OptimizationSolution ** | solution
| solution is an array of pointers to OptimizationSolution objects
OtherSolverOutput * | otherSolverOutput
| otherSolverOutput is a pointer to an OtherSolverOutput object
OptimizationSolution ** | solution
| solution is an array of pointers to OptimizationSolution objects

## Detailed Description

The OptimizationResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for holding information that might be associated with an optimization solution.

Definition at line 2143 of file OSResult.h.

## Constructor & Destructor Documentation

OptimizationResult::OptimizationResult | ( |  | ) |

Default constructor.

Definition at line 1002 of file OSResult.cpp.

OptimizationResult::~OptimizationResult | ( |  | ) |

Class destructor.

Definition at line 1016 of file OSResult.cpp.

References numberOfSolutions, otherSolverOutput, and solution.

OptimizationResult::OptimizationResult | ( |  | ) |

Default constructor.

OptimizationResult::~OptimizationResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OptimizationResult::IsEqual | ( | OptimizationResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5899 of file OSResult.cpp.

bool OptimizationResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7637 of file OSResult.cpp.

References OptimizationSolution::setRandom(), and solution.

## Member Data Documentation

int OptimizationResult::numberOfSolutions

numberOfSolubitons is the number of objective functions reported.

Definition at line 2149 of file OSResult.h.

Referenced by OSResult::getBasisStatusEl(), OSResult::getBasisStatusNumberOfEl(), OSResult::getNumberOfOtherVariableResults(), OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), OSResult::getOtherConstraintResultEnumerationValue(), OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), OSResult::setBasisStatus(), OSResult::setOtherOptionEnumeration(), tempPrintArrays(), and ~OptimizationResult().

int OptimizationResult::numberOfVariables

numberOfVariables is the number of variables reported in the solution.

Definition at line 2154 of file OSResult.h.

Referenced by OSResult::getVariableNumber().

int OptimizationResult::numberOfObjectives

numberOfObjectives is the number of objective functions reported in the solution.

Definition at line 2159 of file OSResult.h.

Referenced by OSResult::getObjectiveNumber().

int OptimizationResult::numberOfConstraints

numberOfConstrants is the number of constraint functions reported in the solution.

Definition at line 2164 of file OSResult.h.

Referenced by OSResult::getConstraintNumber().

OptimizationSolution** OptimizationResult::solution

solution is an array of pointers to OptimizationSolution objects

Definition at line 2169 of file OSResult.h.

Referenced by OSResult::getBasisStatusEl(), OSResult::getBasisStatusNumberOfEl(), OSResult::getNumberOfOtherVariableResults(), OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), OSResult::getOtherConstraintResultEnumerationValue(), OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), main(), OSResult::setBasisStatus(), OSResult::setConstraintValues(), OSResult::setDualVariableValues(), OSResult::setObjectiveValues(), OSResult::setOtherOptionEnumeration(), OSResult::setPrimalVariableValues(), setRandom(), OSResult::setSolutionObjectiveIndex(), tempPrintArrays(), OSrL2Gams::writeSolution(), and ~OptimizationResult().

OtherSolverOutput* OptimizationResult::otherSolverOutput

otherSolverOutput is a pointer to an OtherSolverOutput object

Definition at line 2174 of file OSResult.h.

Referenced by OSResult::setNumberOfSolverOutputs(), and ~OptimizationResult().

OptimizationSolution** OptimizationResult::solution

solution is an array of pointers to OptimizationSolution objects

Definition at line 1275 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp